Core - Bug # 56626

Status: Closed Priority: Should have
Author: Lorenz Ulrich Category:
Created: 2014-03-06 Assigned To:
Updated: 2014-03-09 Due date:
TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: AJAX file upload fails in beta6

Description

AJAX file upload fails with

Invalid CSRF token detected for ajaxID "TYPOS_tcefile::process"!

in beta6. | suspect #56356 to be the cause.

Related issues:
related to Core - Task # 56356: Protect core Ajax calls against CSRF Resolved 2014-02-26

History

#1 - 2014-03-06 22:06 - Wouter Wolters
- Status changed from New to Needs Feedback

Please make sure to clear JS caches in the browser and remove typo3temp/Cache.

Can you try this?

It works here from the beginning..

#2 - 2014-03-07 11:03 - Lorenz Ulrich

This can be closed. It was a very nasty local caching issue. The DragUploader.js file that uses the "tokenized" URI instead of only ajax.php wasn't

reloaded.

#3 - 2014-03-09 14:22 - Frans Saris
- Status changed from Needs Feedback to Closed
